Bug 68911 - xml-rpc over ssl with large payloads seem to fail
Summary: xml-rpc over ssl with large payloads seem to fail
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhnlib (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218 79579
TreeView+ depends on / blocked
 
Reported: 2002-07-15 21:31 UTC by Adrian Likins
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-31 12:15:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adrian Likins 2002-07-15 21:31:55 UTC
Description of Problem:

when attempting to send large payload uploads via xmlrpc,
there seeems to be issues preventing it from finishing. Running
rhn_register on milan with shows it when you try to upload
hardware info or package list info. The other xmlrpc calls seem
to work fine.

Also, disabling ssl seems to workaround  this issue, so I
suspect it may be ssl related. 

I dont have any hardproof this is a rhnlib issue yet, but
my suspicion is that it's broken.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Mihai Ibanescu 2002-07-18 14:21:04 UTC
I'll try to put together a test case, or something.

Comment 2 Mihai Ibanescu 2002-07-20 00:42:53 UTC
Fixed in rpclib-0.8-7.

Comment 3 Jay Turner 2003-01-31 12:15:20 UTC
I'm pretty sure this is closed out.  I'm not seeing any issues with the GinGin code.


Note You need to log in before you can comment on or make changes to this bug.